Skip to main content
GET
/
get-webhooks
List Webhooks
curl --request GET \
  --url https://api.flowiq.live/get-webhooks \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "count": 1,
  "webhooks": [
    {
      "id": "0df9d480-f181-466b-ae8d-85216c16e8dd",
      "url": "https://your-server.com/webhook",
      "type": "message_received",
      "platform": "whatsapp",
      "created_at": "2026-03-04T00:03:57.023943+02:00"
    }
  ]
}

Basic Usage

curl "https://api.flowiq.live/get-webhooks" \
  -H "Authorization: Bearer fiq_YOUR_API_KEY"

Filter by Platform

curl "https://api.flowiq.live/get-webhooks?platform=whatsapp" \
  -H "Authorization: Bearer fiq_YOUR_API_KEY"

Query Parameters

ParameterRequiredDescription
platformNoFilter by platform (e.g. whatsapp)

Response

{
  "success": true,
  "count": 2,
  "webhooks": [
    {
      "id": "0df9d480-f181-466b-ae8d-85216c16e8dd",
      "url": "https://your-server.com/webhook",
      "type": "message_received",
      "platform": "whatsapp",
      "created_at": "2026-03-04T00:03:57.023943+02:00"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token for authentication. Format: Bearer YOUR_BEARER_TOKEN

Query Parameters

platform
string

Filter by platform (e.g. whatsapp)

Example:

"whatsapp"

Response

200 - application/json

Webhooks retrieved successfully

success
boolean
count
integer
webhooks
object[]